unit About;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, ShellAPI;

type
  TfrmAbout = class(TForm)
    imgIcon: TImage;
    lblTitle: TLabel;
    lblVersion: TLabel;
    Label1: TLabel;
    cmdOK: TButton;
    lblHomepage: TLabel;
    lblDescription: TLabel;
    procedure lblHomepageMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure lblHomepageClick(Sender: TObject);
    procedure cmdOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation

uses FilmStrip;

{$R *.dfm}

procedure TfrmAbout.lblHomepageMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
lblHomepage.Font.Color := clRed;
//lblHomepage.Font.Style := [fsUnderline];
end;

procedure TfrmAbout.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
lblHomepage.Font.Color := clBlue;
//lblHomepage.Font.Style := [];
end;

procedure TfrmAbout.lblHomepageClick(Sender: TObject);
begin
ShellExecute(Handle, 'open', 'http://www.htk.fi/public/akirjavainen', '', '', SW_SHOWDEFAULT);
end;

procedure TfrmAbout.cmdOKClick(Sender: TObject);
begin
frmAbout.Close;
end;

end.
