unit Log;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Menus;

type
  TfrmLog = class(TForm)
    txtLog: TMemo;
    mnuLog: TPopupMenu;
    mnuClear: TMenuItem;
    procedure txtLogKeyPress(Sender: TObject; var Key: Char);
    procedure FormResize(Sender: TObject);
    procedure mnuClearClick(Sender: TObject);
    procedure txtLogMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure txtLogChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmLog: TfrmLog;

implementation

{$R *.dfm}

procedure TfrmLog.txtLogKeyPress(Sender: TObject; var Key: Char);
begin
Key := Char(0);
end;

procedure TfrmLog.FormResize(Sender: TObject);
begin
txtLog.Width := Self.Width - 10;
txtLog.Height := Self.Height - 27;
end;

procedure TfrmLog.mnuClearClick(Sender: TObject);
begin
txtLog.Text := '';
end;

procedure TfrmLog.txtLogMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
        curPos : TPoint;

begin
GetCursorPos(curPos);
if (Button = mbRight) then mnuLog.Popup(curPos.x, curPos.y);
end;

procedure TfrmLog.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
Self.Hide;
CanClose := False;
end;

procedure TfrmLog.txtLogChange(Sender: TObject);
begin
txtLog.SelLength := Length(txtLog.Text);
end;

end.
